# eric5.Plugins.VcsPlugins.vcsMercurial.HgLogDialog

Module implementing a dialog to show the output of the hg log command process.

### Global Attributes

None

### Classes

HgLogDialog | Class implementing a dialog to show the output of the hg log command process.

### Functions

None

## HgLogDialog

Class implementing a dialog to show the output of the hg log command process.

The dialog is nonmodal. Clicking a link in the upper text pane shows a diff of the revisions.

### Derived from

QWidget, Ui_HgLogDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgLogDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__getParents | Private method to get the parents of the currently viewed file/directory.
__procFinished | Private slot connected to the finished signal.
__processOutputLine | Private method to process the lines of output.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
__showError | Private slot to show some error.
__sourceChanged | Private slot to handle the sourceChanged signal of the contents pane.
closeEvent | Private slot implementing a close event handler.
keyPressEvent | Protected slot to handle a key press event.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_sendButton_clicked | Private slot to send the input to the hg process.
start | Public slot to start the hg log command.

### Static Methods

None

#### HgLogDialog (Constructor)

HgLogDialog(vcs, mode="log", bundle=None, parent=None)

Constructor

vcs
  reference to the vcs object
mode
  mode of the dialog (string; one of log, incoming, outgoing)
bundle
  name of a bundle file (string)
parent
  parent widget (QWidget)

#### HgLogDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### HgLogDialog.__getParents

__getParents(rev)

Private method to get the parents of the currently viewed file/directory.

rev
  revision number to get parents for (string)

Returns:
  list of parent revisions (list of strings)

#### HgLogDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### HgLogDialog.__processOutputLine

__processOutputLine(line)

Private method to process the lines of output.

line
  output line to be processed (string)

#### HgLogDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### HgLogDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process and inserts it into a buffer.

#### HgLogDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### HgLogDialog.__sourceChanged

__sourceChanged(url)

Private slot to handle the sourceChanged signal of the contents pane.

url
  the url that was clicked (QUrl)

#### HgLogDialog.closeEvent

closeEvent(e)

Private slot implementing a close event handler.

e
  close event (QCloseEvent)

#### HgLogDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### HgLogDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### HgLogDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### HgLogDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the hg process.

#### HgLogDialog.start

start(fn, noEntries=0, revisions=None)

Public slot to start the hg log command.

fn
  filename to show the log for (string)
noEntries
  number of entries to show (integer)
revisions
  revisions to show log for (list of strings)

Up